[java-parent-project COMMIT] in /trunk: bin/create-project-common.sh bin/create-project-monolithic.sh resources/logba...
noreply at shibboleth.net
noreply at shibboleth.net
Sun Dec 18 13:30:34 GMT 2011
Author: lajoie
Date: Sun Dec 18 13:30:34 2011
New Revision: 38
URL: http://svn.shibboleth.net/view/java-parent-project?rev=38&view=rev
Log:
Fix some minor typos
Add a logback-test.xml file when creating now projects/modules - JPAR-1
Added:
trunk/resources/logback/
trunk/resources/logback/logback-test.xml (with props)
Modified:
trunk/bin/create-project-common.sh
trunk/bin/create-project-monolithic.sh
Modified: trunk/bin/create-project-common.sh
URL: http://svn.shibboleth.net/view/java-parent-project/trunk/bin/create-project-common.sh?rev=38&r1=37&r2=38&view=diff
==============================================================================
--- trunk/bin/create-project-common.sh (original)
+++ trunk/bin/create-project-common.sh Sun Dec 18 13:30:34 2011
@@ -66,12 +66,16 @@
check_retval $? "Unable to replace MVN_GROUP_ID macro in $1 with value $2"
}
-# Creates the ./src directory structure within a given directory
+# Creates the ./src directory structure within a given directory and places a logback-text.xml
+# configuration file in the src/test/resources directory
#
# $1 directory within which the ./src directory structure will be created
function create_src {
$MKDIR -p "$1/src/main/java" "$1/src/main/resources" "$1/src/test/java" "$1/src/test/resources"
check_retval $? "Unable to create Maven src directories"
+
+ download_file "$PARENT_PROJ_URL/resources/logback/logback-test.xml" "$1/src/test/resources/logback-test.xml"
+ check_retval $? "Unable to download logback-text.xml into src/test/resources"
}
# Creates the src/main/assembly directory and places an initial assembly descriptor in it
@@ -127,7 +131,7 @@
# $2 URL of repository into which the project will be imported
# $3 working directory into which the project will be checked out
function import_checkout_svn_project {
- $SVN import -q -m "Importing new project" "$1" "$2/$1"
+ $SVN import -q -m "Importing new project" "$1" "$2"
check_retval $? "Unable to import $1 into SVN repository $2"
$RM -rf $SVN_PROJ_DIR
Modified: trunk/bin/create-project-monolithic.sh
URL: http://svn.shibboleth.net/view/java-parent-project/trunk/bin/create-project-monolithic.sh?rev=38&r1=37&r2=38&view=diff
==============================================================================
--- trunk/bin/create-project-monolithic.sh (original)
+++ trunk/bin/create-project-monolithic.sh Sun Dec 18 13:30:34 2011
@@ -5,7 +5,7 @@
source $LOCATION/create-project-common.sh
-$ECHO "This script will create a new monolothic project."
+$ECHO "This script will create a new monolithic project."
$ECHO "Before you begin you must have already created an empty SVN repository that will recieve the project."
$ECHO ""
@@ -22,12 +22,6 @@
fi
declare -r MVN_ARTF_ID=${SVN_PROJ_URL##*/}
-
-#read -p "Please enter the maven artifact ID for the project: " MVN_ARTF_ID
-#if [ -z "$MVN_ARTF_ID" ] ; then
-# $ECHO "Maven artifact ID can not be empty"
-# exit 1
-#fi
# Check to make sure this command is going to write in to some existing directory
declare -r SVN_PROJ_DIR="$TMPDIR/$MVN_ARTF_ID-project"
@@ -50,4 +44,4 @@
set_svn_properties_commit_and_update "$MVN_ARTF_ID"
$ECHO "Creation of project $MVN_ARTF_ID completed. Working copy is located at ./$MVN_ARTF_ID"
-exit 0
+exit 0
More information about the commits
mailing list